1#ifndef WIRED_SRVBOOT_SRVDEMO_H
2#define WIRED_SRVBOOT_SRVDEMO_H
RFC 9000 17.2 / RFC 9001 5 / RFC 8446 4.4: cold-start a server connection from a client Initial datag...
int wired_srvboot_cert_sha256(const wired_srvboot_id *id, u8 out[32])
SHA-256 of the leaf certificate id presents: chain[0] when an external chain is set,...
int wired_srvboot_log_fingerprint(i64 fd, const wired_srvboot_id *id)
Log "cert sha-256 fingerprint: aa:bb:...\n" (colon-separated, the form browsers and openssl print) fo...
void wired_srvboot_demo(wired_srvboot_id *id, wired_srvboot_demo_keys *k, u8 base, const char *scid)
Reset id and fill it with the demo identity: priv[i] = base + i, seed[i] = base + 0x40 + i,...
Storage for the demo key material; wired_srvboot_id holds views into it, so it must outlive the serve...
Definition srvdemo.h:14
u8 priv[32]
X25519 private key.
Definition srvdemo.h:15
u8 rnd[32]
ServerHello.random.
Definition srvdemo.h:18
u8 pub[32]
X25519 public key, derived from priv.
Definition srvdemo.h:16
u8 seed[32]
ECDSA P-256 certificate signing scalar.
Definition srvdemo.h:17
The fixed server identity a bootstrap needs: the X25519 handshake key pair, the ECDSA P-256 signing s...
Definition srvboot.h:23
long i64
signed 64-bit integer
Definition types.h:14
unsigned char u8
unsigned 8-bit integer / byte
Definition types.h:18